Runtime

## org.eclipse.gmf.runtime.draw2d.ui.text
Class TruncatedSingleLineTextLayout

    java.lang.Object
      org.eclipse.draw2d.text.FlowFigureLayout
          org.eclipse.draw2d.text.TextLayout
              org.eclipse.gmf.runtime.draw2d.ui.text.TruncatedSingleLineTextLayout

All Implemented Interfaces:
  LayoutManager

    public class TruncatedSingleLineTextLayout

extends TextLayout

A single-line text layout (i.e. no word wrapping), that truncates the text if it does not all fit in the width available.

Since:
  2.1

Constructor Summary
`TruncatedSingleLineTextLayout(TextFlowEx flow, java.lang.String truncationString)` Creates a new SimpleTextLayout with the given TextFlow

Method Summary
`protected java.lang.String` `getTruncationString()` Gets the string to be used to show truncation (normally "...").
`protected void` `layout()`

Methods inherited from class org.eclipse.draw2d.text.TextLayout
`getFragment`

Methods inherited from class org.eclipse.draw2d.text.FlowFigureLayout
`getConstraint, getContext, getFlowFigure, getMinimumSize, getPreferredSize, invalidate, layout, remove, setConstraint, setFlowContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TruncatedSingleLineTextLayout

    public TruncatedSingleLineTextLayout(TextFlowEx flow,
                                         java.lang.String truncationString)

  Creates a new SimpleTextLayout with the given TextFlow

  Parameters:
    `flow` - the TextFlow
    `truncationString` - the string to be used to show truncation (normally "...")

Method Detail

### getTruncationString

    protected java.lang.String getTruncationString()

  Gets the string to be used to show truncation (normally "...").

  Returns:
    the truncation string

### layout

    protected void layout()

  Specified by:
    `layout` in class `FlowFigureLayout`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.